This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 212363 - Xenoprof accesses global state without locking
Xenoprof accesses global state without locking
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xen Maintainance List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-26 11:11 EDT by Markus Armbruster
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 3.0.3-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-16 13:40:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Upstream fix (xen-unstable.hg changeset 11760) (4.15 KB, patch)
2006-10-26 11:11 EDT, Markus Armbruster
no flags Details | Diff

  None (edit)
Description Markus Armbruster 2006-10-26 11:11:56 EDT
xen/arch/x86/oprofile/xenoprof.c accesses global state without
locking, which asks for random violence with SMP.  Fixed upstream (attached). 
Fix made it into RHEL-5.
Comment 1 Markus Armbruster 2006-10-26 11:11:56 EDT
Created attachment 139471 [details]
Upstream fix (xen-unstable.hg changeset 11760)

Note You need to log in before you can comment on or make changes to this bug.